Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.util.xml
Class XMLTools

    java.lang.Object
      eia.util.xml.XMLTools

Direct Known Subclasses:
  XMLAcciones, XMLProyecto

    public abstract class XMLTools

extends java.lang.Object

Clase que implementa herramientas para el manejo de los ficheros XML.

Constructor Summary
`XMLTools()`

Method Summary
`abstract void` | `escribir(java.lang.Object o, java.lang.String archivo)` Método que escribe el contenido de un objeto en un fichero XML.
`java.lang.String` | `getDtd()` Accesor para el atributo 'dtd'
`abstract java.lang.Object` | `leer(java.lang.String filename)` Método que lee el contenido de un fichero XML y lo guarda en un objeto.
`org.w3c.dom.Document` | `readFile(java.lang.String filename)` Metodo que recibe un archivo de texto XML, y lo almacena en un Document
`void` | `setDtd(java.lang.String dtd)` Mutador para el atributo 'dtd'.
`void` | `writeFile(org.w3c.dom.Document doc, java.lang.String filename)` Método que recibe un Document y un archivo, y almacena la estructura XML en el archivo dado.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTools

    public XMLTools()

Method Detail

### readFile

    public org.w3c.dom.Document readFile(java.lang.String filename)

  Metodo que recibe un archivo de texto XML, y lo almacena en un Document

  Parameters:
    `filename` - Ruta del fichero XML.
  Returns:
    Objeto con el fichero almacenado.

### writeFile

    public void writeFile(org.w3c.dom.Document doc,
                          java.lang.String filename)

  Método que recibe un Document y un archivo, y almacena la estructura XML en el archivo dado.

  Parameters:
    `doc` - Documento con el contenido almacenar.
    `filename` - Nombre del archivo donde almacenar la información.

### escribir

    public abstract void escribir(java.lang.Object o,
                                  java.lang.String archivo)

  Método que escribe el contenido de un objeto en un fichero XML.

  Parameters:
    `o` - Objeto que contiene la informacion a guardar en el fichero XML.
    `archivo` - Ruta del fichero XML donde se guardara la informacion.

### leer

    public abstract java.lang.Object leer(java.lang.String filename)

  Método que lee el contenido de un fichero XML y lo guarda en un objeto.

  Parameters:
    `filename` - Ruta del fichero XML del cual se obtiene la informacion.
  Returns:
    Objeto con la informacion cargada.

### getDtd

    public java.lang.String getDtd()

  Accesor para el atributo 'dtd'

  Returns:
    Valor del atributo 'dtd'.

### setDtd

    public void setDtd(java.lang.String dtd)

  Mutador para el atributo 'dtd'.

  Parameters:
    `dtd` - Valor a asignar al atributo 'dtd'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD